#ifndef GENERATEDIALOG_H
#define GENERATEDIALOG_H

#include <list>

#include <wx/wx.h>
#include <wx/choice.h>
#include <wx/textctrl.h>
#include <controller/KissCount.h>
#include "wxUI.h"
#include <model/model.h>

class wxUI;
class KissCount;

class GenerateDialog : public wxDialog
{
public: 
  GenerateDialog(KissCount* kiss, wxUI *parent, int month, int year);
  
  void OnYearFromChange(wxCommandEvent& event);
  void OnYearToChange(wxCommandEvent& event);
  void OnOK(wxCommandEvent& event);
  void OnCancel(wxCommandEvent& event);

private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxChoice* _yearFrom, *_monthFrom, *_yearTo, *_monthTo;
  std::map<int, std::vector<int> > _ops;

DECLARE_EVENT_TABLE()

};
#endif
